const ROOT_DIR = __dirname + '/../'
const record = require('node-record-lpcm16')
const speech = require('@google-cloud/speech')({
    projectId: 'streaming-speech-sample',
    keyFilename: ROOT_DIR + 'keyfile.json'
})

recording = record.start({
    threshold: 0,
    recordProgram: "rec",
    verbose: false
})

const recognitionStream = speech.streamingRecognize({
    config: {
        encoding: 'LINEAR16',
        sampleRateHertz: 16000,
        languageCode: "en-US"
    },
    singleUtterance: true,
    interimResults: true,
    verbose: true
})

recognitionStream.on('error', console.log)
recognitionStream.on('data', console.log)

recording.pipe(recognitionStream)